Bug 102885 - Kernel Oops on trying to log in from dumb terminal
Kernel Oops on trying to log in from dumb terminal
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 07:24 EDT by Ravi Katti
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ravi Katti 2003-08-22 07:24:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem: I get a Kernel oops dump as soon as I try to login from 
the dumb terminal.

This kernel is customised to include support for the following,

 Character Devices
[*] Extended dumb serial device options
  [*] Support more than 4 serial ports
  [*] Support for sharing interrupts
  [*] Support special multiport boards
[*] Non-standard serial port support
[*/M] Specialix RIO system support

The kernel was successfully built alongwith modules. The specialix card or RIO 
card(www.perle.com)was also configured properly. After adding the following 
line in /etc/inittab I could get the login prompt too on the dumb terminal.

dt1:2345:respawn:/sbin/agetty -L 19200 ttySR0 vt100

Now whenever I try to login from the dumb terminal I get the following kernel 
oops error.
----------------------------------------
Aug 22 13:46:09 redhatter kernel:  <1>Unable to handle kernel NULL pointer 
dereference at virtual address 00000111
Aug 22 13:46:09 redhatter kernel:  printing eip:
Aug 22 13:46:09 redhatter kernel: c8942387
Aug 22 13:46:09 redhatter kernel: *pde = 00000000
Aug 22 13:46:09 redhatter kernel: Oops: 0000
Aug 22 13:46:09 redhatter kernel: CPU:    0
Aug 22 13:46:09 redhatter kernel: EIP:    0010:[<c8942387>]    Not tainted
Aug 22 13:46:09 redhatter kernel: EFLAGS: 00010246
Aug 22 13:46:09 redhatter kernel:
Aug 22 13:46:09 redhatter kernel: EIP is at  (2.4.20-19.7_riosupport_210803)
Aug 22 13:46:09 redhatter kernel: eax: 00000000   ebx: c7451e00   ecx: 
c7451e00   edx: 00000000
Aug
Comment 1 Bugzilla owner 2004-09-30 11:41:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.